<?php


// Version: 2.0 RC5; index


/* ************************************ */
//  VP Theme by MLM on VisualPulse.net
/* ************************************ */


/*	This template is, perhaps, the most important template in the theme. It
	contains the main template layer that displays the header and footer of
	the forum, namely with main_above and main_below. It also contains the
	menu sub template, which appropriately displays the menu; the init sub
	template, which is there to set the theme up; (init can be missing.) and
	the linktree sub template, which sorts out the link tree.

	The init sub template should load any data and set any hardcoded options.

	The main_above sub template is what is shown above the main content, and
	should contain anything that should be shown up there.

	The main_below sub template, conversely, is shown after the main content.
	It should probably contain the copyright statement and some other things.

	The linktree sub template should display the link tree, using the data
	in the $context['linktree'] variable.

	The menu sub template should display all the relevant buttons the user
	wants and or needs.

	For more information on the templating system, please see the site at:
	http://www.simplemachines.org/
*/


// Initialize the template... mainly little settings.
function template_init()
{
	global $context, $settings, $options, $txt;

	/* Use images from default theme when using templates from the default theme?
		if this is 'always', images from the default theme will be used.
		if this is 'defaults', images from the default theme will only be used with default templates.
		if this is 'never' or isn't set at all, images from the default theme will not be used. */
	$settings['use_default_images'] = 'never';

	/* What document type definition is being used? (for font size and other issues.)
		'xhtml' for an XHTML 1.0 document type definition.
		'html' for an HTML 4.01 document type definition. */
	$settings['doctype'] = 'xhtml';

	/* The version this template/theme is for.
		This should probably be the version of SMF it was created for. */
	$settings['theme_version'] = '2.0 RC5';

	/* Set a setting that tells the theme that it can render the tabs. */
	$settings['use_tabs'] = true;

	/* Use plain buttons - as opposed to text buttons? */
	$settings['use_buttons'] = true;

	/* Show sticky and lock status separate from topic icons? */
	$settings['separate_sticky_lock'] = true;
	

	/* Does this theme use the strict doctype? */
	$settings['strict_doctype'] = false;

	/* Does this theme use post previews on the message index? */
	$settings['message_index_preview'] = false;

	/* Set the following variable to true if this theme requires the optional theme strings file to be loaded. */
	$settings['require_theme_strings'] = true;
	
	
}

// The main sub template above the content.
function template_html_above()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	// Show right to left and the character set for ease of translating.
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '>
<head>';

	

	// The ?rc4 part of this link is just here to make sure browsers don't cache it wrongly.
	echo '
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/index', $context['theme_variant'], '.css?rc4" />';

	// Some browsers need an extra stylesheet due to bugs/compatibility issues.
	foreach (array('ie7', 'ie6', 'webkit') as $cssfix)
		if ($context['browser']['is_' . $cssfix])
			echo '
	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/css/', $cssfix, '.css" />';

	// RTL languages require an additional stylesheet.
	if ($context['right_to_left'])
		echo '
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/css/rtl.css" />';

	// Here comes the JavaScript bits!
	echo '
	<script type="text/javascript" src="', $settings['default_theme_url'], '/scripts/script.js?rc4"></script>
	<script type="text/javascript" src="', $settings['theme_url'], '/scripts/theme.js?rc4"></script>
	<script type="text/javascript"><!-- // --><![CDATA[
		var smf_theme_url = "', $settings['theme_url'], '";
		var smf_default_theme_url = "', $settings['default_theme_url'], '";
		var smf_images_url = "', $settings['images_url'], '";
		var smf_scripturl = "', $scripturl, '";
		var smf_iso_case_folding = ', $context['server']['iso_case_folding'] ? 'true' : 'false', ';
		var smf_charset = "', $context['character_set'], '";', $context['show_pm_popup'] ? '
		var fPmPopup = function ()
		{
			if (confirm("' . $txt['show_personal_messages'] . '"))
				window.open(smf_prepareScriptUrl(smf_scripturl) + "action=pm");
		}
		addLoadEvent(fPmPopup);' : '', '
		var ajax_notification_text = "', $txt['ajax_in_progress'], '";
		var ajax_notification_cancel_text = "', $txt['modify_cancel'], '";
	// ]]></script>
	
		<script type="text/javascript">
			function clickclear(thisfield, defaulttext) {
			if (thisfield.value == defaulttext) {
			thisfield.value = "";
				}
			}

			function clickrecall(thisfield, defaulttext) {
			if (thisfield.value == "") {
			thisfield.value = defaulttext;
				}
			}
		</script>

	
	';

	echo '
	<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
	<meta name="description" content="', $context['page_title_html_safe'], '" />', !empty($context['meta_keywords']) ? '
	<meta name="keywords" content="' . $context['meta_keywords'] . '" />' : '', '
	<title>', $context['page_title_html_safe'], '</title>';

	// Please don't index these Mr Robot.
	if (!empty($context['robot_no_index']))
		echo '
	<meta name="robots" content="noindex" />';

	// Present a canonical url for search engines to prevent duplicate content in their indices.
	if (!empty($context['canonical_url']))
		echo '
	<link rel="canonical" href="', $context['canonical_url'], '" />';

	// Show all the relative links, such as help, search, contents, and the like.
	echo '
	<link rel="help" href="', $scripturl, '?action=help" />
	<link rel="search" href="', $scripturl, '?action=search" />
	<link rel="contents" href="', $scripturl, '" />';

	// If RSS feeds are enabled, advertise the presence of one.
	if (!empty($modSettings['xmlnews_enable']) && (!empty($modSettings['allow_guestAccess']) || $context['user']['is_logged']))
		echo '
	<link rel="alternate" type="application/rss+xml" title="', $context['forum_name_html_safe'], ' - ', $txt['rss'], '" href="', $scripturl, '?type=rss;action=.xml" />';

	// If we're viewing a topic, these should be the previous and next topics, respectively.
	if (!empty($context['current_topic']))
		echo '
	<link rel="prev" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=prev" />
	<link rel="next" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=next" />';

	// If we're in a board, or a topic for that matter, the index will be the board's index.
	if (!empty($context['current_board']))
		echo '
	<link rel="index" href="', $scripturl, '?board=', $context['current_board'], '.0" />';

	// Output any remaining HTML headers. (from mods, maybe?)
	echo $context['html_headers'];

	echo '
</head>
<body>';
}

function template_body_above()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;
echo '<div id="bg_main">';
	echo !empty($settings['forum_width']) ? '
<div id="wrapper" style="width: ' . $settings['forum_width'] . '">' : '', '
		 <div id="header">
			<div class="top_bar_div">
				<div class="top_bar_container">
					<div class="top_bar_line"></div>
					<div class="menu_button_div_background"><center><img class="menu_button_image" src="', $settings['theme_url'] ,'/images/menu_button.png" alt="', $txt['vp_menu_button_image_alt'] ,'" /></center>
					
						<ul class="menu_drop_menu_main dropmenu" id="dropdown_menu_1">
							<li class="menu_first_li"><a class="menu_span_main_thingy" href="#"><span class="firstlevel menu_span2_main_thingy"></span></a>
								<ul>
									<li>
										<a class="chosen" href="#"><span>', $txt['vp_menu_item_one'] ,'</span></a>
									</li>
									<li>
										<a href="#"><span>', $txt['vp_menu_item_two'] ,'</span></a>
									</li>
									<li>
										<a href="#"><span>', $txt['vp_sub_menu'] ,'</span></a>
										<ul>
											<li>
												<a href="#"><span>', $txt['vp_sub_menu_item_one'] ,'</span></a>
											</li>
											<li>
												<a href="#"><span>', $txt['vp_sub_menu_item_two'] ,'</span></a>
											</li>
										</ul>
									</li>
									<li>
										<a href="#"><span>', $txt['vp_menu_item_three'] ,'</span></a>
									</li>
								</ul>
							</li>
						</ul>
					
					</div>
					
					
					<div class="top_bar_line" style="margin-right: 18px;"></div>';
				


	
					if ($context['user']['is_logged'])
					{
						echo '
							<div class="top_bar_welcome_member">
								<div class="top_bar_welcome_member_text">', $txt['vp_greeting'] ,' <a class="top_bar_welcome_member_text" href="', $scripturl, '?action=profile">',$context['user']['name'],'</a> |
						';
								// Only tell them about their messages if they can read their messages!
								if ($context['allow_pm'])
								{
									echo ' 
										<a class="top_bar_welcome_member_text" href="', $scripturl, '?action=pm">', $context['user']['messages'], ' ', $context['user']['messages'] != 1 ? $txt['msg_alert_messages'] : $txt['message_lowercase'], '</a>', $txt['newmessages4'], ' ', $context['user']['unread_messages'], ' ', $context['user']['unread_messages'] == 1 ? $txt['newmessages0'] : $txt['newmessages1'] , '.
									';
								}
						echo '
								</div>
							</div>
						';
					}
					else
					{
						echo '
						<div class="top_bar_welcome_member">
							<div class="top_bar_welcome_member_text">', $txt['vp_greeting'] ,' <a class="top_bar_welcome_member_text" href="', $scripturl ,'?action=profile">',$context['user']['name'],'</a> |
								<a class="top_bar_welcome_member_text" href="', $scripturl ,'?action=login">', $txt['vp_sign_in'] ,'</a> ', $txt['vp_or'] ,' <a class="top_bar_welcome_member_text" href="', $scripturl ,'?action=register">', $txt['vp_register'] ,'</a>
							</div>
						</div>
						';
					}

echo '
					<div class="top_bar_search_form">
						<form id="search_form" action="', $scripturl, '?action=search2" method="post" accept-charset="', $context['character_set'], '">
							<input type="hidden" name="advanced" value="0" />
							<button type="submit" class="search_button_form_button">
								<div class="search_button_div_background"><center><img class="search_button_image" src="', $settings['theme_url'] ,'/images/search_button.png" alt="', $txt['vp_search_button_image_alt'] ,'" /></center></div>
							</button>
							<input class="top_bar_search_field" type="text" name="search" value="', $txt['search'], '..." onclick="clickclear(this, \''. $txt['search'] .'...\')" onblur="clickrecall(this,\''. $txt['search'] .'...\')" />
						</form>
					</div>
				</div>
			</div>
			
';		
// TOP BAR CODE END--------------------------- vp
		
echo '			
	<div class="content_holder">
';	


echo '<div class="nav_bar_holder">';
	//<!--nav bar ;)-->
	vp_nav_bar();
echo '</div>';
	
	
echo '	
	<!--banner area start-->
		<div class="banner_area">
			<div class="banner_area_banner_div">
				<a href="', $scripturl ,'">
					<img class="banner_area_banner_image" src="', $settings['theme_url'] ,'/images/banner_area_banner.png" alt="', $txt['vp_banner_image_alt'] ,'" align="left" />
				</a>
			</div>
			<div class="banner_area_latest_news">
				', ssi_recentTopics_vp_mod($num_recent = 7, $exclude_boards = null, $include_boards = null, $output_method = 'echo') ,'
			</div>
		</div>
	
';

		// Show the navigation tree.
		theme_linktree();
			
		echo '
		<div class="board_content_holder">
		';
}

function template_body_below()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;
	
	
	// board content holder div end
	echo '
		</div>
	';
	
	// content holder div end
	echo '
		</div>
	';
	
// Show the "Powered by" and "Valid" logos, as well as the copyright. Remember, the copyright must be somewhere!
	echo '
	<div id="footer_section">
		<ul class="reset align_the_copyright_right">
			<li class="copyright">', theme_copyright(), '</li>
			<li class="copyright">Pulse by <a href="http://visualpulse.net/forums/index.php?action=profile;u=1">MLM</a> from <a href="http://www.visualpulse.net/">VisualPulse.net</a></li>
			</ul>';

echo '
 <!--bg_main div end-->
 </div>
 ';
}

function template_html_below()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	echo '
	
	</div>
	</div>
	</div>

</body></html>';
}

// Show a linktree. This is that thing that shows "My Community | General Category | General Discussion"..
function theme_linktree($force_show = false)
{
	global $context, $settings, $options, $shown_linktree;

	// If linktree is empty, just return - also allow an override.
	if (empty($context['linktree']) || (!empty($context['dont_default_linktree']) && !$force_show))
		return;

	echo '
	<div class="navigate_section">
		<ul>';

	// Each tree item has a URL and name. Some may have extra_before and extra_after.
	foreach ($context['linktree'] as $link_num => $tree)
	{
		echo '
			<li', ($link_num == count($context['linktree']) - 1) ? ' class="last"' : '', '>';

		// Show something before the link?
		if (isset($tree['extra_before']))
			echo $tree['extra_before'];

		// Show the link, including a URL if it should have one.
		echo $settings['linktree_link'] && isset($tree['url']) ? '
				<a class="tree_url_text" href="' . $tree['url'] . '"><span>' . $tree['name'] . '</span></a>' : '<span>' . $tree['name'] . '</span>';

		// Show something after the link...?
		if (isset($tree['extra_after']))
			echo $tree['extra_after'];

		// Don't show a separator for the last one.
		if ($link_num != count($context['linktree']) - 1)
			echo ' <font color="#080808">&#187;</font>';

		echo '
			</li>';
	}
	echo '
		</ul>
	</div>';

	$shown_linktree = true;
}

function vp_nav_bar()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	// admin button info
	if ($context['user']['is_admin'])
	{
		$admin_title = $txt['vp_admin'];
		$admin_link = "$scripturl?action=admin";
	}
	else
	{
		$admin_title = " ";
		$admin_link = " ";
	}
	
	// moderator button info
	$can_they_mod = allowedTo('moderate_forum');
	
	if($can_they_mod = 1)
	{
		$moderate_title = $txt['vp_moderate'];
		$moderate_link = "$scripturl?action=moderate";
	}
	else
	{
		$moderate_title = " ";
		$moderate_link = " ";
	}
	
	// sign out button info
	if ($context['user']['is_logged'])
	{
		$sign_out_title = $txt['vp_sign_out'];
		$sign_out_link = $scripturl . '?action=logout;sesc=' . $context['session_id'];
	}
	else
	{
		$sign_out_title = " ";
		$sign_out_link = " ";
	}
	
	// sign in button info
	if ($context['user']['is_logged'])
	{
		$sign_in_title = " ";
		$sign_in_link = " ";
	}
	else
	{
		$sign_in_title = $txt['vp_sign_in'];
		$sign_in_link = "$scripturl?action=login";
	}

	$vp_nav_bar_items = array
	( 
		array
		( 
			'Title' => $txt['vp_forums'], 
			'Link' => $scripturl
		),
		array
		( 
			'Title' => $txt['vp_help'], 
			'Link' => "$scripturl?action=help"
		),
		
		array
		( 
			'Title' => $txt['vp_search'], 
			'Link' => "$scripturl?action=search"
		),
		array
		( 
			'Title' => $txt['vp_messages'], 
			'Link' => "$scripturl?action=pm"
		),
		array
		( 
			'Title' => $txt['vp_profile'], 
			'Link' => "$scripturl?action=profile"
		),
		array
		( 
			'Title' => $txt['vp_members'], 
			'Link' => "$scripturl?action=mlist"
		),
		array
		( 
			'Title' => $admin_title, 
			'Link' => $admin_link
		),
		array
		( 
			'Title' => $moderate_title, 
			'Link' => $moderate_link
		),
		array
		( 
			'Title' => $sign_in_title, 
			'Link' => $sign_in_link
		),
		array
		( 
			'Title' => $sign_out_title, 
			'Link' => $sign_out_link
		),
	);

	foreach($vp_nav_bar_items as $key)
	{
		if($key['Title'] != " ")
		{
			echo '
				<div class="vp_nav_bar_item">
					<a class="vp_nav_link" href="', $key['Link'] ,'">
						<small>', $key['Title'] ,'</small>
					</a>
				</div>
			';
		}
	}


}

function ssi_recentTopics_vp_mod()
{
	// needs to be here... otherwise errors.
}

?>